UbixOS V2 2.0

Functions
def.c File Reference
`#include "net/opt.h"`
`#include "net/def.h"`
`#include <string.h>`
Include dependency graph for def.c:

Go to the source code of this file.

## Functions
u32_t | lwip_htonl (u32_t n)
u16_t | lwip_htons (u16_t n)
void | lwip_itoa (char *result, size_t bufsize, int number)
int | lwip_stricmp (const char *str1, const char *str2)
int | lwip_strnicmp (const char *str1, const char *str2, size_t len)
char * | lwip_strnstr (const char *buffer, const char *token, size_t n)

## Detailed Description

Common functions used throughout the stack.

These are reference implementations of the byte swapping functions. Again with the aim of being simple, correct and fully portable. Byte swapping is the second thing you would want to optimize. You will need to port it to your architecture and in your cc.h:

#define lwip_htons(x) your_htons #define lwip_htonl(x) your_htonl

Note lwip_ntohs() and lwip_ntohl() are merely references to the htonx counterparts.

If you #define them to htons() and htonl(), you should #define LWIP_DONT_PROVIDE_BYTEORDER_FUNCTIONS to prevent lwIP from defining htonx/ntohx compatibility macros.

Definition in file def.c.

## Function Documentation

## ◆ lwip_htonl()

u32_t lwip_htonl | ( | u32_t | n | ) |

Convert an u32_t from host- to network byte order.

Parameters

  n | u32_t in host byte order

Returns
  n in network byte order

Definition at line 88 of file def.c.

References PP_HTONL.

## ◆ lwip_htons()

u16_t lwip_htons | ( | u16_t | n | ) |

Convert an u16_t from host- to network byte order.

Parameters

  n | u16_t in host byte order

Returns
  n in network byte order

Definition at line 75 of file def.c.

References PP_HTONS.